package example2.camel;

import org.apache.camel.CamelContext;
import org.apache.camel.builder.RouteBuilder;
import org.apache.camel.impl.DefaultCamelContext;

/**
 * @author Apache Camel Users Group
 * 
 * 
 */
public class Main {
	public static void main(String args[]) throws Exception {
		// 最初にCamelContextを作成する
		CamelContext context = new DefaultCamelContext();
		RouteBuilder routeBuilder = new FileToFileRoute();
		context.addRoutes(routeBuilder);
		// 作成したCamelContextを開始し、60秒後に停止
		System.out.println("60秒後に終了します。");
		System.out.println("DEBUGログはmylog.logを参照してください");

		context.start();
		Thread.sleep(60000);
		context.stop();
	}
}